org.apache.sling.event.jobs

## Enum QueueConfiguration.Type

- java.lang.Object
- - java.lang.Enum<QueueConfiguration.Type>
  - - org.apache.sling.event.jobs.QueueConfiguration.Type

All Implemented Interfaces:
  Serializable, Comparable<QueueConfiguration.Type>

Enclosing interface:
  QueueConfiguration

    public static enum QueueConfiguration.Type
    extends Enum<QueueConfiguration.Type>

The queue type.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ORDERED`
`TOPIC_ROUND_ROBIN`
`UNORDERED`

### Method Summary

All Methods Static Methods Concrete Methods
`static QueueConfiguration.Type` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static QueueConfiguration.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### UNORDERED

    public static final QueueConfiguration.Type UNORDERED

#### ORDERED

    public static final QueueConfiguration.Type ORDERED

#### TOPIC_ROUND_ROBIN

    public static final QueueConfiguration.Type TOPIC_ROUND_ROBIN

### Method Detail

#### values

    public static QueueConfiguration.Type[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (QueueConfiguration.Type c : QueueConfiguration.Type.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static QueueConfiguration.Type valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null